### Type parameters

- K
- V

### Hierarchy

- Lookup

### Implements

- Iterable<Grouping<K, V>>

## Index

### Constructors

- constructor

### Accessors

- size

### Methods

- [Symbol.iterator]
- applyResultSelector
- get
- has

## Constructors

### constructor

- new Lookup(entries: Queryable<[K, Queryable<V>]>, keyEqualer?: Equaler<K>): Lookup

- - Defined in lookup.ts:27

  Creates a new Lookup for the provided groups.

  #### Parameters

  - entries: Queryable<[K, Queryable<V>]> —

    A map containing the unique groups of values.

  - Optional keyEqualer: Equaler<K>

  #### Returns Lookup

## Accessors

### size

- get size(): number

- - Defined in lookup.ts:44

  Gets the number of unique keys.

  #### Returns number

## Methods

### [Symbol.iterator]

- [Symbol.iterator](): Iterator<Grouping<K, V>>

- - Defined in lookup.ts:76

  #### Returns Iterator<Grouping<K, V>>

### applyResultSelector

- applyResultSelector<R>(selector: function): Iterable<R>

- - Defined in lookup.ts:71

  Creates a `Query` that maps each group in the Lookup.

  #### Type parameters

  - R

  #### Parameters

  - selector: function —

    A callback used to select results for each group.

    - - (key: K, elements: Queryable<V>): R

      - #### Parameters

        - key: K
        - elements: Queryable<V>

        #### Returns R

  #### Returns Iterable<R>

### get

- get(key: K): Iterable<V>

- - Defined in lookup.ts:62

  Gets the group for the provided key.

  #### Parameters

  - key: K —

    A key.

  #### Returns Iterable<V>

### has

- has(key: K): boolean

- - Defined in lookup.ts:53

  #### Parameters

  - key: K —

    A key. Gets a value indicating whether any group has the provided key.

  #### Returns boolean

Generated using TypeDoc